package se.codelabs.timereport.api.model;

import com.amazonaws.services.dynamodbv2.datamodeling.*;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.springframework.data.annotation.Id;

import java.io.Serializable;


@DynamoDBTable(tableName = "Event")
@DynamoDBDocument
public class Event implements Serializable {

    private static final long serialVersionUID = 10L;

    @Id
    public String id;

    @JsonProperty("userid")
    private String userId;
    @JsonProperty("username")
    private String userName;
    private String reason;
    private String date;
    private int hours;

    public Event() { }

    @DynamoDBHashKey
    @DynamoDBAutoGeneratedKey
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @DynamoDBAttribute(attributeName = "userid")
    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    @DynamoDBAttribute(attributeName = "username")
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @DynamoDBAttribute(attributeName = "reason")
    public String getReason() {
        return reason;
    }
    public void setReason(String reason) {
        this.reason = reason;
    }

    @DynamoDBAttribute(attributeName = "date")
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    @DynamoDBAttribute(attributeName = "hours")
    public int getHours() {

        return hours;
    }
    public void setHours(int hours) {

        this.hours = hours;
    }


}
